package com.xlht.xlhtproject.domain;

import java.math.BigDecimal;

import com.xlht.xlhtproject.respParse.bean.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;


/**
 * 锡林浩特投药记录对象 t_xlht_add_record
 * 
 * @author slibra
 * @date 2024-10-13
 */
@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TXlhtAddRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 一池是否是系统投药（0否 1是） */
    private Integer oneSystemAdd;

    /** 二池是否是系统投药（0否 1是） */
    private Integer twoSystemAdd;

    /** 一池投药量 */
    private BigDecimal oneAmount;

    /** 二池投药量 */
    private BigDecimal twoAmount;

    /** 一池反馈的真实投药量 */
    private BigDecimal realOneAmount;

    /** 二池反馈的真实投药量 */
    private BigDecimal realTwoAmount;

    /** 删除标志（0代表存在 2代表删除） */
    private Long delFlag;

    /** 乐观锁 */
    private Long revision;


    //下面是查询参数
    /**  开始时间 */
    private String timeBegin;

    /** 截止时间 */
    private String timeEnd;


}
