package com.xlht.xlhtproject.enums;

public class BusinessEnum {

    /**
     *
     * 数据来源枚举
     *
     */
    public enum DataSourceEnum
    {
        YB("YB", "仪表"),
        HY("HY", "化验"),
        YC("YC", "预测"),


        ;

        private final String code;
        private final String msg;

        DataSourceEnum(String code, String msg)
        {
            this.code = code;
            this.msg = msg;
        }

        public String getCode()
        {
            return code;
        }

        public String getMsg()
        {
            return msg;
        }
    }


    /**
     *
     * 智能投药请求参数枚举
     *      * 0：进水流量
     *      * 1：#1好氧池硝酸盐
     *      * 2：#2好氧池硝酸盐
     *      * 3：#1缺氧池氨氮
     *      * 4：#2缺氧池氨氮
     *      * 5：进水COD
     *      * 6：进水总氮
     *      * 7：碳源投加量
     *
     */
    public enum SmartAddMedicineReqEnum
    {
        JSLL(0, "进水流量"),
        HY_1_XSY(1, "#1好氧池硝酸盐"),
        HY_2_XSY(2, "#2好氧池硝酸盐"),
        QY_1_AD(3, "#1缺氧池氨氮"),
        QY_2_AD(4, "#2缺氧池氨氮"),
        JSCOD(5, "进水COD"),
        JSTN(6, "进水总氮"),
        TYTJL(7, "碳源投加量"),


        ;

        private final int code;
        private final String msg;

        SmartAddMedicineReqEnum(int code, String msg)
        {
            this.code = code;
            this.msg = msg;
        }

        public int getCode()
        {
            return code;
        }

        public String getMsg()
        {
            return msg;
        }
    }
}
