package com.xlht.xlhtproject.mapper;


import com.xlht.xlhtproject.domain.TXlhtMedicineParam;

import java.util.List;

/**
 * 锡林浩特智能投药参数配置Mapper接口
 *
 * @author slibra
 * @date 2024-09-24
 */
public interface TXlhtMedicineParamMapper
{
    /**
     * 查询锡林浩特智能投药参数配置
     *
     * @param id 锡林浩特智能投药参数配置主键
     * @return 锡林浩特智能投药参数配置
     */
    public TXlhtMedicineParam selectTXlhtMedicineParamById(Long id);

    /**
     * 查询锡林浩特智能投药参数配置列表
     *
     * @param tXlhtMedicineParam 锡林浩特智能投药参数配置
     * @return 锡林浩特智能投药参数配置集合
     */
    public List<TXlhtMedicineParam> selectTXlhtMedicineParamList(TXlhtMedicineParam tXlhtMedicineParam);

    /**
     * 新增锡林浩特智能投药参数配置
     *
     * @param tXlhtMedicineParam 锡林浩特智能投药参数配置
     * @return 结果
     */
    public int insertTXlhtMedicineParam(TXlhtMedicineParam tXlhtMedicineParam);

    /**
     * 修改锡林浩特智能投药参数配置
     *
     * @param tXlhtMedicineParam 锡林浩特智能投药参数配置
     * @return 结果
     */
    public int updateTXlhtMedicineParam(TXlhtMedicineParam tXlhtMedicineParam);

    /**
     * 删除锡林浩特智能投药参数配置
     *
     * @param id 锡林浩特智能投药参数配置主键
     * @return 结果
     */
    public int deleteTXlhtMedicineParamById(Long id);

    /**
     * 批量删除锡林浩特智能投药参数配置
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTXlhtMedicineParamByIds(Long[] ids);


    TXlhtMedicineParam getLatestRecord();
}
