package com.xlht.xlhtproject.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.xlht.xlhtproject.mapper.TTbXieMapper;
import com.xlht.xlhtproject.domain.TTbXie;
import com.xlht.xlhtproject.service.ITTbXieService;

/**
 * 同步数据_组态_写数据Service业务层处理
 * 
 * @author slibra
 * @date 2024-09-19
 */
@Service
public class TTbXieServiceImpl implements ITTbXieService 
{
    @Autowired
    private TTbXieMapper tTbXieMapper;

    /**
     * 查询同步数据_组态_写数据
     * 
     * @param ID 同步数据_组态_写数据主键
     * @return 同步数据_组态_写数据
     */
    @Override
    public TTbXie selectTTbXieByID(Long ID)
    {
        return tTbXieMapper.selectTTbXieByID(ID);
    }

    /**
     * 查询同步数据_组态_写数据列表
     * 
     * @param tTbXie 同步数据_组态_写数据
     * @return 同步数据_组态_写数据
     */
    @Override
    public List<TTbXie> selectTTbXieList(TTbXie tTbXie)
    {
        return tTbXieMapper.selectTTbXieList(tTbXie);
    }

    /**
     * 新增同步数据_组态_写数据
     * 
     * @param tTbXie 同步数据_组态_写数据
     * @return 结果
     */
    @Override
    public int insertTTbXie(TTbXie tTbXie)
    {
        return tTbXieMapper.insertTTbXie(tTbXie);
    }

    /**
     * 修改同步数据_组态_写数据
     * 
     * @param tTbXie 同步数据_组态_写数据
     * @return 结果
     */
    @Override
    public int updateTTbXie(TTbXie tTbXie)
    {
        return tTbXieMapper.updateTTbXie(tTbXie);
    }

    /**
     * 批量删除同步数据_组态_写数据
     * 
     * @param IDs 需要删除的同步数据_组态_写数据主键
     * @return 结果
     */
    @Override
    public int deleteTTbXieByIDs(Long[] IDs)
    {
        return tTbXieMapper.deleteTTbXieByIDs(IDs);
    }

    /**
     * 删除同步数据_组态_写数据信息
     * 
     * @param ID 同步数据_组态_写数据主键
     * @return 结果
     */
    @Override
    public int deleteTTbXieByID(Long ID)
    {
        return tTbXieMapper.deleteTTbXieByID(ID);
    }
}
